Loading...
Searching...
No Matches
debug_priv.h File Reference

oscap debug helpers private header More...

`#include <assert.h>`
`#include <stdlib.h>`
`#include <stddef.h>`
`#include <stdarg.h>`
`#include "util.h"`
`#include "public/oscap_debug.h"`
Include dependency graph for debug_priv.h:

Go to the source code of this file.

## Macros

#define | OSCAP_DEBUG_PRIV_H_
#define | OSCAP_DEBUGOBJ_SEXP 1
#define | _A(x)
#define | __dlprintf_wrapper(l, ...)
#define | oscap_dlprintf(l, ...)
| Convenience macro for calling oscap_dlprintf.
#define | dO(type, obj)
#define | dI(...)
#define | dW(...)
#define | dE(...)
#define | dD(...)
#define | dIndent(indent_change)

## Functions

void | __oscap_debuglog_object (const char *file, const char *fn, size_t line, int objtype, void *obj)

## Detailed Description

oscap debug helpers private header

## Macro Definition Documentation

## __dlprintf_wrapper

#define __dlprintf_wrapper | ( |  | l,
|  |  | ... )

Value:
__oscap_dlprintf (l, __FILE__, __PRETTY_FUNCTION__, __LINE__, 0, __VA_ARGS__)

## _A

#define _A | ( |  | x | ) |

Value:
assert(x)

## dD

#define dD | ( |  | ... | ) |

Value:
oscap_dlprintf(DBG_D, __VA_ARGS__)
oscap_dlprintf
#define oscap_dlprintf(l,...)
Convenience macro for calling oscap_dlprintf.
Definition debug_priv.h:54

## dE

#define dE | ( |  | ... | ) |

Value:
oscap_dlprintf(DBG_E, __VA_ARGS__)

## dI

#define dI | ( |  | ... | ) |

Value:
oscap_dlprintf(DBG_I, __VA_ARGS__)

## dIndent

#define dIndent | ( |  | indent_change | ) |

Value:
__oscap_dlprintf(DBG_I, __FILE__, __PRETTY_FUNCTION__, __LINE__, indent_change, NULL)

## dO

#define dO | ( |  | type,
|  |  | obj )

Value:
__oscap_debuglog_object(__FILE__, __PRETTY_FUNCTION__, __LINE__, type, obj)

## dW

#define dW | ( |  | ... | ) |

Value:
oscap_dlprintf(DBG_W, __VA_ARGS__)

## oscap_dlprintf

#define oscap_dlprintf | ( |  | l,
|  |  | ... )

Value:
__dlprintf_wrapper (l, __VA_ARGS__)

Convenience macro for calling oscap_dlprintf.

Only the fmt & it's arguments need to be specified. The __FILE, PRETTY_FUNCTION and LINE macros are used for the first three arguments.